<div class="container">
  <div class="card">
    <div class="card-header">
      <h3 class="text-center"><b>Asignación de proveedor de material</b></h3>
    </div>
      <div class="card-body justify-content-center">
        <form class="mt-3 col-md-10 offset-md-3" (ngSubmit)="onSave()" [formGroup]="maestForm">
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Asignar Material </label>
              <select class="form-control form-select" formControlName="material_id" [class]="isValidField('material_id')" required>
                <option *ngFor="let item of $materiales | async" [ngValue]="item.nombre">{{item.nombre}}</option>
              </select>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Asignar proveedor </label>
              <select class="form-control form-select" formControlName="proveedor_id" [class]="isValidField('proveedor_id')" required>
                <option *ngFor="let item of $proveedores | async" [ngValue]="item.empresa">{{item.empresa}}  {{item.r_social}}</option>
              </select>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Precio unitario </label>
              <input type="text" formControlName="p_unitario" class="form-control" [class]="isValidField('p_unitario')" required>
            </div>
          </div>
          <div class="form-row" *ngIf="router.url === '/maestromat/edit'">
            <div class="form-group col-md-6">
              <label> Estatus </label>
              <input type="text" formControlName="estatus_id" class="form-control" [class]="isValidField('estatus_id')" required>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Vigencia </label>
              <input type="date" formControlName="vigencia" class="form-control" [class]="isValidField('vigencia')" required/>
            </div>
          </div>
          <div class="d-grid gap-2 col-8 mx-auto">
            <button class="btn btn-success btn-md-8">Guardar datos</button>
          </div>
        </form>
        <div class="row">
          <button type="button" class="btn btn-primary mt-2" (click)="onGoBackToList()">Regresar a listado</button>
        </div>
      </div>
  </div>
</div>
